Subject: Re: [PATCH 0/4] remote show/prune improvement

From: Jakub Narebski <[email-masked]>
Date: Tue, 10 Jun 2008 19:11:01 +0200

Dnia wtorek 10. czerwca 2008 18:10, Olivier Marin napisał:
> Jakub Narebski a écrit :
>> Olivier Marin <[email-masked]> writes:
>> 
>>>   [1/4] remote show: fix the -n option
>>>   [2/4] builtin-remote: split show_or_prune() in two separate
>>>         functions. 
>>>   [3/4] remote prune: print the list of pruned branches
>>>   [4/4] remote show: list tracked remote branches with -n.
>> 
>> I like this series... but the [4/4] lacks documentation (all other
>> patches update documentation).

Ah, sorry, my mistake.  It looks like [4/4] is just improvement
to [1/4], which is documented. 
 
> I'm not sure, it's a minor change. Perhaps, I can squashed it in
> 1/4 instead. 
> 
> What do you think?

Perhaps it could be, but this is not strictly necessary.

After reading patches a bit more carefully, I think that the features
are documented well enough, and any Documentation (and patches) 
improvements are not necessary, and further changes can happen "in 
tree".

In "[PATCH 1/4] remote show: fix the -n option" you have:
> --- a/Documentation/git-remote.txt
> +++ b/Documentation/git-remote.txt
[...]
> -'git-remote' show <name>
> +'git-remote' show [-n] <name>

while in Documentation/git-remote.txt there is remainder of Perl
implementation

   'show'::

   Gives some information about the remote <name>.
   +
   With `-n` option, the remote heads are not queried first with
   `git ls-remote <name>`; cached information is used instead.

The information about using `git ls-remote <name>` is no longer fully
accurate in builtin version, and perhaps could be removed.

In "[PATCH 3/4] remote prune: print the list of pruned branches":
> --- a/Documentation/git-remote.txt
> +++ b/Documentation/git-remote.txt
[...]
> -'git-remote' prune <name>
> +'git-remote' prune [-n | --dry-run] <name>
[...]
> -With `-n` option, the remote heads are not confirmed first with `git
> -ls-remote <name>`; cached information is used instead.  Use with
> -caution.
> +With `--dry-run` option, report what branches will be pruned, but do
> +no actually prune them.

No `git ls-remote` is mentioned there, as it should be.

-- 
Jakub Narebski
Poland